headless lms

Read your profile

GET /api/member/profile. Read your profile. Headless LMS Profile API reference.

GET
/api/member/profile

For any signed-in person. The profile is yours across organizations; imageUrl is set only when the photo was uploaded in this organization. Before you save one, every field is empty.

Response Body

application/json

application/json

application/json

curl -X GET "https://example.com/api/member/profile"
{  "userId": "string",  "displayName": "string",  "headline": "string",  "bio": "string",  "imageAssetId": "string",  "extra": null,  "createdAt": "2019-08-24T14:15:22Z",  "updatedAt": "2019-08-24T14:15:22Z",  "imageUrl": "string"}
{  "error": "string",  "message": "string",  "requestId": "string"}
{  "error": "string",  "message": "string",  "requestId": "string"}